---
title: How to connect to data on S3 using Pandas
---

import Preface from './components_pandas/_preface.mdx'
import WhereToRunCode from '../../components/where_to_run_code.md'
import InstantiateYourProjectSDatacontext from './components_pandas/_instantiate_your_projects_datacontext.mdx'
import ConfigureYourDatasource from './components_pandas/_configure_your_datasource.mdx'
import SaveTheDatasourceConfigurationToYourDatacontext from './components_pandas/_save_the_datasource_configuration_to_your_datacontext.mdx'
import TestYourNewDatasource from './components_pandas/_test_your_new_datasource.mdx'
import AdditionalNotes from './components_pandas/_additional_notes.mdx'
import NextSteps from '../../components/next_steps.md'
import Congratulations from '../../components/congratulations.md'


<Preface />

## Steps

### 1. Choose how to run the code in this guide
<WhereToRunCode />

### 2. Instantiate your project's DataContext
<InstantiateYourProjectSDatacontext />

### 3. Configure your Datasource
<ConfigureYourDatasource />

### 4. Save the Datasource configuration to your DataContext
<SaveTheDatasourceConfigurationToYourDatacontext />

### 5. Test your new Datasource
<TestYourNewDatasource />

<Congratulations />

## Additional Notes
<AdditionalNotes />

## Next Steps
<NextSteps />
